petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscOptionsRangeInt

Gets an integer value within a range of values for a particular option in the database.

### Synopsis

    #include "petscsys.h"
    /*@C
       PetscOptionsInt - Gets the integer value for a particular option in the database.

       Logically Collective on the communicator passed in PetscOptionsBegin()

       Input Parameters:
    +  opt - option name
    .  text - short string that describes the option
    .  man - manual page with additional information on option
    -  currentvalue - the current value; caller is responsible for setting this value correctly. Normally this is done with either
    $                 PetscOptionsInt(..., obj->value,&object->value,...) or
    $                 value = defaultvalue
    $                 PetscOptionsInt(..., value,&value,&flg);
    $                 if (flg)

Logically Collective on the communicator passed in PetscOptionsBegin()

### Input Parameters

| opt | - option name
| text | - short string that describes the option
| man | - manual page with additional information on option
| currentvalue | - the current value; caller is responsible for setting this value correctly. Normally this is done with either

                    PetscOptionsInt(..., obj->value,&object->value,...) or

                    value = defaultvalue

                    PetscOptionsInt(..., value,&value,&flg);

                    if (flg) {

| lb | - the lower bound
| ub | - the upper bound

### Output Parameter

| value | - the integer value to return
| flg | - PETSC_TRUE if found, else PETSC_FALSE

### Notes

If the user does not supply the option at all value is NOT changed. Thus you should ALWAYS initialize value if you access it without first checking if the set flag is true.

The default/currentvalue passed into this routine does not get transferred to the output value variable automatically.

Errors if the supplied integer does not satisfy the range

Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

### See Also

PetscOptionsInt(), PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(), PetscOptionsGetInt(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), PetscOptionsBoundedInt() PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

beginner

### Location

src/sys/objects/aoptions.c

### Examples

src/dm/impls/plex/examples/tutorials/ex2.c.html
src/dm/field/examples/tutorials/ex1.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages